%{?mingw_package_header}

Name:           mingw-celt051
Version:        0.5.1.3
Release:        %mkrel 21
Summary:        An audio codec for use in low-delay speech and audio communication

Group:          Development/Other
License:        BSD
# Files without license header are confirmed to be BSD. Will be fixed in later release
# https://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html
URL:            https://www.celt-codec.org/
Source0:        https://downloads.xiph.org/releases/celt/celt-%{version}.tar.gz

# Some tests need libcelt but are not explicitly linked against it.
# Windows cross builds fail because of that (native linux builds
# don't for some mysterious reason).  Fix it.
Patch1:         celt051-tests-makefile-fix.patch

# Fixes "libtool: link: warning: undefined symbols not allowed in
# i686-pc-mingw32 shared libraries"
Patch2:         celt051-build-a-dll-for-win32.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libogg

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libogg

BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(ogg)


%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio 
codec designed for realtime transmission of high quality speech and audio. 
This is meant to close the gap between traditional speech codecs 
(such as Speex) and traditional audio codecs (such as Vorbis). 

# Win32
%package -n mingw32-celt051
Summary:        An audio codec for use in low-delay speech and audio communication
Requires:       pkgconfig

%description -n mingw32-celt051
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

%package -n mingw32-celt051-static
Summary:        Static version of the CELT ultra-low delay audio codec library
Requires:       mingw32-celt051 = %{version}-%{release}

%description -n mingw32-celt051-static
Static version of the CELT ultra-low delay audio codec library.

# Win64
%package -n mingw64-celt051
Summary:        An audio codec for use in low-delay speech and audio communication
Requires:       pkgconfig

%description -n mingw64-celt051
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

%package -n mingw64-celt051-static
Summary:        Static version of the CELT ultra-low delay audio codec library
Requires:       mingw64-celt051 = %{version}-%{release}

%description -n mingw64-celt051-static
Static version of the CELT ultra-low delay audio codec library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n celt-%{version}


%build
%global mingw32_cflags %mingw32_cflags -std=gnu89
%global mingw64_cflags %mingw64_cflags -std=gnu89
autoreconf -i -f
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Remove .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-celt051
%doc COPYING README TODO
%{mingw32_bindir}/celtenc051.exe
%{mingw32_bindir}/celtdec051.exe
%{mingw32_bindir}/libcelt051-0.dll
%{mingw32_includedir}/celt051
%{mingw32_libdir}/libcelt051.dll.a
%{mingw32_libdir}/pkgconfig/celt051.pc

%files -n mingw32-celt051-static
%{mingw32_libdir}/libcelt051.a

# Win64
%files -n mingw64-celt051
%doc COPYING README TODO
%{mingw64_bindir}/celtenc051.exe
%{mingw64_bindir}/celtdec051.exe
%{mingw64_bindir}/libcelt051-0.dll
%{mingw64_includedir}/celt051
%{mingw64_libdir}/libcelt051.dll.a
%{mingw64_libdir}/pkgconfig/celt051.pc

%files -n mingw64-celt051-static
%{mingw64_libdir}/libcelt051.a




%changelog
* Fri Jul 04 2025 daviddavid <daviddavid> 0.5.1.3-21.mga10
+ Revision: 2245035
- Mageia 10 Mass Rebuild

* Wed Dec 07 2022 daviddavid <daviddavid> 0.5.1.3-20.mga9
+ Revision: 1918868
- Mageia 9 Mass Rebuild

* Tue Dec 22 2020 wally <wally> 0.5.1.3-19.mga8
+ Revision: 1662940
- build with -std=gnu89

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1.3-18.mga8
+ Revision: 1491996
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.1.3-17.mga7
+ Revision: 1264264
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5.1.3-16.mga6
+ Revision: 946557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1.3-15.mga5
+ Revision: 747128
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1.3-14.mga5
+ Revision: 682413
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1.3-13.mga4
+ Revision: 536326
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 0.5.1.3-12.mga4
+ Revision: 483467
- imported package mingw-celt051


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.1.3-9
- Added win64 support (contributed by Marc-Andre Lureau)
- Added -static subpackages
- Removed the redundant R: mingw32-libogg
- Automatically generate debuginfo package

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 0.5.1.3-8
- Remove the .la file

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.1.3-7
- Renamed the source package to mingw-celt051 (RHBZ #800851)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.1.3-6
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 23 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.1.3-3
- Fix dll build, drop static library from package.

* Tue Aug 3 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.1.3-2
- Don't use wildcards in the file list.
- Use %%global instead of %%define.
- Do parallel builds.
- Add patch comment.

* Tue Jul 13 2010 Gerd Hoffmann <kraxel@redhat.com> - 0.5.1.3-1
- Initial package.
